#ifndef PROBINGDIALOG_H
#define PROBINGDIALOG_H

#include <QDialog>


enum ProbingMode{STARTED,RUNING,DONE};

namespace Ui {
class ProbingDialog;
}

class ProbingDialog : public QDialog
{
    Q_OBJECT

public:
    explicit ProbingDialog(QWidget *parent = 0);
    ~ProbingDialog();
    void setGRBLStatusString(QString StatStr);

private slots:
    void on_checkBoxAutoSetPos_toggled(bool checked);

    void on_pushButtonProbe_clicked();

private:
    Ui::ProbingDialog *ui;
    QString GRBLStatus;
    ProbingMode Mode;
    QChar getAxisChar(void);
};

#endif // PROBINGDIALOG_H
