#ifndef HELICALHOLECUTTER_H
#define HELICALHOLECUTTER_H

#include <QDialog>

namespace Ui {
class HelicalHoleCutter;
}

class HelicalHoleCutter : public QDialog
{
    Q_OBJECT

public:
    explicit HelicalHoleCutter(QWidget *parent = 0);
    ~HelicalHoleCutter();

private slots:
    void on_GenerateButton_clicked();

    void on_pushButtonCopy_clicked();

private:
    Ui::HelicalHoleCutter *ui;
    bool VerifyInputs(void);

    QString PrintPoint(QPointF Point, char X_Suffix, char Y_Suffix);
    QString FormatedValue(qreal Val);
};

#endif // HELICALHOLECUTTER_H
