#ifndef PREVIEW3D_H
#define PREVIEW3D_H

#include <QDialog>

namespace Ui {
class Preview3D;
}

class Preview3D : public QDialog
{
    Q_OBJECT

public:
    explicit Preview3D(QWidget *parent = 0);
    ~Preview3D();
    void SetDataPointer(QVector<QVector4D> *PreviewDataPtr);
    void Update(void);
private slots:
    void on_checkBoxOrigin_clicked(bool checked);
    void on_checkBoxBounding_clicked(bool checked);

    void on_pushButtonLookFromAbove_clicked();

private:
    Ui::Preview3D *ui;
};

#endif // PREVIEW3D_H
